curl --request POST \
--url https://api.rootfi.dev/v3/accounting/tax_rates \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"name": "Rootfi Test Tax Rate",
"code": "1234567890",
"effective_tax_rate": 10,
"total_tax_rate": 10,
"tax_type": "VAT",
"components": [
{
"name": "Rootfi Test Tax Rate Component",
"is_compound": false,
"rate": 10,
"tax_agency": "igst"
}
]
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.accounts.create({
company_id: 56789,
data: [
{
name: "Rootfi Test Tax Rate",
code: "1234567890",
effective_tax_rate: 10,
total_tax_rate: 10,
tax_type: "VAT",
components: [
{
name: "Rootfi Test Tax Rate Component",
is_compound: false,
rate: 10,
tax_agency: "igst",
},
],
},
],
});
{
"data": {
"status": "SUCCESS",
"upload_job_id": "xQm2K441VosP8W4",
"data": [
{
"job_id": "aXI9pUDA5T7E2LS",
"status": "success",
"response": {
"platform_id": "3770712000001298001",
"name": "Track Categories",
"code": "GST",
"effective_tax_rate": 12,
"total_tax_rate": 12,
"tax_type": "igst",
"components": [
{
"name": "Track Categories",
"rate": 12,
"tax_agency": "igst",
"is_compound": false
}
],
"updated_at": "2000-12-31T18:30:00.000Z",
"raw_data": {
"platform_id": "3770712000001298001",
"name": "Track Categories",
"code": "GST",
"effective_tax_rate": 12,
"total_tax_rate": 12,
"tax_type": "igst",
"components": [
{
"name": "Track Categories",
"rate": 12,
"tax_agency": "igst",
"is_compound": false
}
],
"updated_at": "2000-12-31T18:30:00.000Z"
}
},
"error": null
}
]
},
"request_timestamp": "2000-12-31T18:30:00.000Z",
"response_timestamp": "2021-06-01T00:00:00.000Z",
"request_id": "7a1c0e42-9f85-4d6e-bb5d-358a72913c0b"
}Tax Rates
Create Tax Rate
Create a tax rate.
POST
/
accounting
/
tax_rates
curl --request POST \
--url https://api.rootfi.dev/v3/accounting/tax_rates \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"name": "Rootfi Test Tax Rate",
"code": "1234567890",
"effective_tax_rate": 10,
"total_tax_rate": 10,
"tax_type": "VAT",
"components": [
{
"name": "Rootfi Test Tax Rate Component",
"is_compound": false,
"rate": 10,
"tax_agency": "igst"
}
]
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.accounts.create({
company_id: 56789,
data: [
{
name: "Rootfi Test Tax Rate",
code: "1234567890",
effective_tax_rate: 10,
total_tax_rate: 10,
tax_type: "VAT",
components: [
{
name: "Rootfi Test Tax Rate Component",
is_compound: false,
rate: 10,
tax_agency: "igst",
},
],
},
],
});
{
"data": {
"status": "SUCCESS",
"upload_job_id": "xQm2K441VosP8W4",
"data": [
{
"job_id": "aXI9pUDA5T7E2LS",
"status": "success",
"response": {
"platform_id": "3770712000001298001",
"name": "Track Categories",
"code": "GST",
"effective_tax_rate": 12,
"total_tax_rate": 12,
"tax_type": "igst",
"components": [
{
"name": "Track Categories",
"rate": 12,
"tax_agency": "igst",
"is_compound": false
}
],
"updated_at": "2000-12-31T18:30:00.000Z",
"raw_data": {
"platform_id": "3770712000001298001",
"name": "Track Categories",
"code": "GST",
"effective_tax_rate": 12,
"total_tax_rate": 12,
"tax_type": "igst",
"components": [
{
"name": "Track Categories",
"rate": 12,
"tax_agency": "igst",
"is_compound": false
}
],
"updated_at": "2000-12-31T18:30:00.000Z"
}
},
"error": null
}
]
},
"request_timestamp": "2000-12-31T18:30:00.000Z",
"response_timestamp": "2021-06-01T00:00:00.000Z",
"request_id": "7a1c0e42-9f85-4d6e-bb5d-358a72913c0b"
}A Tax Rate is the percentage at which an individual or corporation is taxed.
[he Tax Rates Data Model] is designed to provide a unified representation of tax rates across various accounting platforms.
Additional Required Fields
To successfully create an tax rate, certain fields must be included in the raw_data object of the request body. The required fields are as follows:| Integration | Field | Description |
|---|---|---|
| MEKARI_JURNAL | buy_tax_account_id | The ID of the account that will be used to record the tax amount when a purchase is made. |
| MEKARI_JURNAL | sell_tax_account_id | The ID of the account that will be used to record the tax amount when a sale is made. |
curl --request POST \
--url https://api.rootfi.dev/v3/accounting/tax_rates \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"name": "Rootfi Test Tax Rate",
"code": "1234567890",
"effective_tax_rate": 10,
"total_tax_rate": 10,
"tax_type": "VAT",
"components": [
{
"name": "Rootfi Test Tax Rate Component",
"is_compound": false,
"rate": 10,
"tax_agency": "igst"
}
]
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.accounts.create({
company_id: 56789,
data: [
{
name: "Rootfi Test Tax Rate",
code: "1234567890",
effective_tax_rate: 10,
total_tax_rate: 10,
tax_type: "VAT",
components: [
{
name: "Rootfi Test Tax Rate Component",
is_compound: false,
rate: 10,
tax_agency: "igst",
},
],
},
],
});
Authorizations
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
The time at which the request was received by the server
The time at which the response was sent by the server
The unique ID of the request
⌘I